<?php

namespace Drupal\cri_php_word\convertor;

use Symfony\Component\Process\Exception\ProcessFailedException;
use Symfony\Component\Process\Process;

class Adobe extends Convertor
{
  /**
   * @param $destination
   * @param null $format
   * @return array
   */
  public function convert($destination, $format = NULL): array
  {
    if (empty($this->files)) {
      return ['errorCode' => 1, 'message' => 'Aucun fichier à convertir.'];
    }
    if (count($this->files) > 1) {
      return ['errorCode' => 1, 'message' => 'Ce convertisseur ne peut convertir qu\'un fichier à la fois.'];
    }
    $cmd = 'node ' .
      'nodejs/pdfservices-node-sdk-samples/src/createpdf/create-pdf-from-docx.js ' .
      $this->files[0] . ' ' .
      $destination;
    $process = new Process($cmd);
    try {
      $process->mustRun();
      return ['errorCode' => 0, 'files' => [$destination]];
    } catch (ProcessFailedException $ex) {
      return ['errorCode' => 1, 'message' => $ex->getMessage()];
    }
  }
}
